/* fonts importadas */
@import url('https://fonts.googleapis.com/css2?family=Grandstander:wght@400;700&family=Lato:wght@400;700&display=swap');

/* variaveis de estilo */
:root{
    --background:#ffffff;
    --foreground: #ebf4ff;
    --thirdground: #ffc600;
    --primary-color: #131923;
    --hero-background: #f3f3f3;
    --secondary-color: #0055b8;
    --secondary-foreground: #ffffff;
}

/* reset do html */
*{
    margin: 0;
    padding:0;
    list-style: none;
    text-decoration: none;
    box-sizing: border-box;
}

/* estilos padrão */
html{
    font-size: 62.5%;
    scroll-behavior: smooth;
    color: var(--primary-color);
    font-family: 'Lato', sans-serif;
}

body{
    font-size: 1.6rem;
    background-color: var(--background);
}

.container{
    width: 100%;
    margin: auto;
    max-width: 1400px;
}

.button,
.button2{
    font-size: 2rem;
    padding: 2rem 4rem;
    border-radius: 2rem;
    display: inline-block;
    transition: all .5s ease;
    color: var(--secondary-foreground);
    background-color: var(--secondary-color);
    border: 0.2rem solid var(--secondary-color);
}
.button2{
    color: var(--secondary-color);
    background-color: var(--background);
}
.button:hover,
.button2:hover {
    opacity: 0.8;
}

/* estilo do header */
header {
    z-index: 10;
    position: sticky;
    inset: 0 0 auto 0;
    box-shadow: 0 0 .5rem #ccc;
    background-color: var(--background);
}
header .banner_information {
    display: block;
    text-align: center;
    padding: 1rem 2rem;
    line-height: 2.2rem;
    color: var(--primary);
    background-color: var(--thirdground);
}
header .banner_information:hover {
    opacity: 0.8;
}
header .logo img {
    width: 12rem;
    height: auto;
}
header .header_area {
    display: flex;
    padding: 2rem;
    align-items: center;
    justify-content: space-between;
}
header .header_area .menu_opener {
    width: 2.5rem;
    height: 2.5rem;
    cursor: pointer;
}
header .header_area .menu_opener .hamburguer_icon {
    display: flex;
    height: 100%;
    flex-direction: column;
    justify-content: space-between;
}
header .header_area .menu_opener .hamburguer_icon span {
    display: block;
    width: 100%;
    height: 0.2rem;
    background-color: var(--secondary-color);
}
header .header_area .menu_opener .close_icon {
    display: none;
    height: 100%;
    flex-direction: column;
    justify-content: center;
    position: relative;
}
header .header_area .menu_opener .close_icon span {
    position: absolute;
    display: block;
    width: 100%;
    height: 0.2rem;
    background-color: var(--secondary-color);
}
header .header_area .menu_opener .close_icon span:first-child {
    transform: rotate(45deg);
    transition: all .5s ease;
}
header .header_area .menu_opener .close_icon span:last-child {
    transform: rotate(-45deg);
    transition: all .5s ease;
}
/* menu */
header nav {
    max-height: 0;
    padding: 0 2rem;
    overflow-y: hidden;
    transition: all .5s ease;
    color: var(--secondary-color);
    background-color: var(--background);
}
header nav.opened {
    max-height: 100vh;
}
header nav ul {
    display: flex;
    padding-bottom: 2rem;
    flex-direction: column;
}
header nav li {
    padding: 1rem 2rem;
}
header nav a {
    font-size: 2rem;
    color: var(--secondary-color);
}
header nav a:hover {
    opacity: 0.8;
}
header nav ul li a.bold {
    font-weight: bold;
}


/* estilo da hero */
.hero {
    background-size: auto 40rem;
    background-repeat: no-repeat;
    background-position: bottom center;
    background-color: var(--hero-background);
    background-image: url('../img/hero-center.png');
}
.hero .box {
    max-width: 60rem;
    padding: 5rem 2rem 30rem 2rem;
}
.hero .box h1 {
    font-size: 5rem;
    font-weight: bold;
    line-height: 6rem;
    letter-spacing: -0.1rem;
    font-family: "Grandstander", sans-serif;
}
.hero .box h1 span {
    color: var(--secondary-color);
}
.hero .box h2 {
    margin: 3rem 0;
    font-size: 2rem;
    font-weight: normal;
    line-height: 3.5rem;
}

/* estilo seen */
.seen {
    padding: 3rem;
    background-color: var(--foreground);
}
.seen .container {
    display: grid;
    row-gap: 3rem;
    grid-template-columns: repeat(2, 1fr);
}
.seen .container section {
    display: flex;
    justify-content: center;
    align-items: center;
}

/* estilo topicos */
.topics {
    padding: 15rem 3rem 5rem 3rem;
}
.topics .topic {
    gap: 4rem;
    display: flex;
    margin-bottom: 4rem;
    flex-direction: column;
}
.topics .topic .left,
.topics .topic .right {
    flex: 1;
}
.topics .topic .left img {
    max-width: 100%;
}
.topics ul {
    padding-top: 1rem;
}
.topics li {
    font-size: 5rem;
    font-weight: bold;
    line-height: 6rem;
    letter-spacing: -0.1rem;
    font-family: 'Grandstander', sans-serif;
}
.topics li:nth-child(even),
.topics li span {
    color: var(--secondary-color);
}
.topics .topic .right {
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 2rem;
}
/* estilo produtos */
.products {
    padding: 15rem 3rem 0 3rem;
}
.products h2 {
    font-size: 4.5rem;
    font-weight: bold;
    margin-bottom: 2rem;
    letter-spacing: -0.1rem;
    font-family: 'Grandstander', sans-serif;
}
.products h2 span {
    color: var(--secondary-color);
}
.products .grid {
    gap: 3rem;
    display: grid;
    margin: 5rem 0;
    grid-template-columns: 1fr;
}
.products .product {
    display: flex;
    overflow: hidden;
    border-radius: 1rem;
    color: var(--primary-color);
    background-color: var(--background);
    box-shadow: 0 0 0.3rem rgba(0, 0, 0, 0.5);
}
.products .product .image {
    width: 12rem;
    overflow: hidden;
    min-height: 15rem;
    background-size: cover;
}
.products .product .info {
    flex: 1;
    padding: 2rem;
}
.products .product .link {
    display: none;
    margin-top: 1rem;
    color: var(--secondary-color);
}
.products .product .info .title {
    font-weight: bold;
    font-size: 2.2rem;
    margin-bottom: 1.5rem;
    font-family: 'Grandstander';
}

/* estilo depoimentos */
.testimonials {
    color: var(--primary-color);
    background-color: var(--foreground);
    padding-top: 15rem;
}
.testimonials .container {
    max-width: 60rem;
}
.testimonials .quote {
    padding: 6rem 2rem;
    text-align: center;
    font-weight: bold;
    font-size: 3rem;
    line-height: 5rem;
}
.testimonials .icons {
    margin: auto;
    display: flex;
    padding: 3rem 2rem;
    justify-content: space-between;
}

/* estilo perguntas frequentes */
.faq {
    margin-top: 6rem;
    padding: 0 3rem;
}
.faq h2 {
    font-weight: bold;
    font-size: 4.5rem;
    margin-bottom: 2rem;
    letter-spacing: -0.1rem;
    font-family: 'Grandstander', sans-serif;
}
.faq h2 span {
    color: var(--secondary-color);
}
.faq .accordion .accordion_item {
    border-bottom: 0.2rem solid var(--secondary-color);
}
.faq .accordion .accordion_item:last-child {
    border-bottom: 0;
}
.faq .accordion .accordion_item .title {
    gap: 2rem;
    display: flex;
    font-size: 2rem;
    padding: 1rem 0;
    cursor: pointer;
    font-weight: bold;
    color: var(--secondary-color);
    justify-content: space-between;
}
.faq .accordion .accordion_item .title img,
.faq .accordion .accordion_item .body {
    transition: all ease .3s;
}
.faq .accordion .accordion_item .body {
    max-height: 0;
    overflow-y: hidden;
    line-height: 2.5rem;
}
.faq .accordion .accordion_item .body p {
    padding-bottom: 2rem;
}
/* classe para abrir a faq */
.faq .accordion .accordion_item.opened .body {
    max-height: 100vh;
}
.faq .accordion .accordion_item.opened .title img {
    transform: rotate(180deg);
}

/* estilo newsletter */
.newsletter {
    background-color: var(--foreground);
    padding: 5rem 0;
    margin-top: 6rem;
}
.newsletter .container {
    padding: 0 3rem;
}
.newsletter h2 {
    font-family: 'grandstander', sans-serif;
    font-weight: bold;
    font-size: 4.5rem;
    letter-spacing: -0.1rem;
    margin-bottom: 2rem;
}
.newsletter h2 span {
    color: var(--secondary-color);
}
.newsletter p {
    line-height: 2.2rem;
}
.newsletter form {
    display: flex;
    flex-direction: column;
    margin-top: 3rem;
    gap: 3rem;
}
.newsletter input {
    flex: 1;
    padding: 2rem;
    font-size: 2rem;
    border-radius: 1.5rem;
    border: 0.1rem solid var(--secondary-color);
    background-color: var(--foreground);
    outline: none;
}

/* estilo footer */
footer {
    margin-top: 6rem;
}
footer .container {
    gap: 2rem;
    display: grid;
    padding: 0 3rem;
    grid-template-columns: 1fr;
}
footer .container .footer_item p {
    font-weight: bold;
    font-family: 'grandstander', sans-serif;
    margin-bottom: 3rem;
}
footer .container .footer_item li{
    margin: 1rem 0;
}
footer .container .footer_item ul li a {
    color: var(--secondary-color);
    line-height: 2.2rem;
}
footer .container .footer_item ul li a:hover {
    text-decoration: underline;
    transition: all ease .5s;
}
footer .copy {
    margin-top: 3rem;
    text-align: center;
    padding: 1rem 3rem;
    background-color: var(--foreground);
}
footer .copy p {
    font-weight: bold;
    margin-bottom: 1rem;
}
footer .copy p:last-child {
    margin-bottom: 0;
}
footer .copy a {
    transition: all ease .5s;
    color: var(--secondary-color);
}
footer .copy a:hover {
    text-decoration: underline;
}

/* responsividade para tablet */
@media (width > 600px) {
    /* responsividade seen */
    .seen .container {
        grid-template-columns: repeat(4, 1fr);
    }

    /* responsividade tópicos */
    .topics .topic {
        flex-direction: row;
    }
    .topics .topic.topic_reverse {
        flex-direction: row-reverse;
    }
    .topics li {
        line-height: 6rem;
        font-size: 6rem;
    }

    /* responsividade produtos */
    .products .grid {
        grid-template-columns: repeat(2, 1fr);
    }
    .products .product {
        flex-direction: column;
    }
    .products .product .image {
        width: 100%;
        min-height: 20rem;
    }
    .products .product .link {
        display: block;
    }
    
    /* responsividade newsletter */
    .newsletter form {
        flex-direction: row;
        max-width: 60rem;
    }
    /* responsividade footer */
    footer .container {
        grid-template-columns: repeat(2, 1fr);
    }
}

/* estilo responsividade para telas maiores que 900px */
@media (width > 900px) {
    /* responsividade header / menu */
    header .menu_opener {
        display: none;
    }
    header .container {
        display: flex;
        justify-content: space-between;
        align-items: center;
    }
    header nav {
        max-height: 100vh;
    }
    header nav ul {
        flex-direction: row;
        padding-bottom: 0;
    }
    header nav ul li a {
        font-size: 1.8rem;
    }

    /* responsividade hero */
    .hero {
        background-size: auto;
        background-image: url('../img/hero.png');
    }

    .hero .box {
        padding: 15rem 2rem;
    }

    /* responsividade produtos */
    .products .grid {
        grid-template-columns: repeat(4, 1fr);
    }

    /* responsividade footer */
    footer .container {
        grid-template-columns: repeat(4, 1fr);
    }
}